[tor-commits] [builders/tor-browser-build] 29/32: Bug 40414: Update linux-signer-gpg-sign

gitolite role git at cupani.torproject.org
Wed Apr 20 09:39:06 UTC 2022


This is an automated email from the git hooks/post-receive script.

boklm pushed a commit to branch master
in repository builders/tor-browser-build.

commit d59c22b2a785eb73020baf1c03ed716c6ca8724b
Author: Nicolas Vigier <boklm at torproject.org>
AuthorDate: Tue Mar 22 18:57:00 2022 +0100

    Bug 40414: Update linux-signer-gpg-sign
    
    Update linux-signer-gpg-sign to the version currently in use.
---
 tools/signing/linux-signer-gpg-sign | 42 ++++++++-----------------------------
 1 file changed, 9 insertions(+), 33 deletions(-)

diff --git a/tools/signing/linux-signer-gpg-sign b/tools/signing/linux-signer-gpg-sign
index 42ea235..723599b 100755
--- a/tools/signing/linux-signer-gpg-sign
+++ b/tools/signing/linux-signer-gpg-sign
@@ -1,38 +1,14 @@
 #!/bin/bash
 
-# Copyright (c) 2019, The Tor Project, Inc.
-#
-# Redistribution and use in source and binary forms, with or without
-# modification, are permitted provided that the following conditions are
-# met:
-
-#     * Redistributions of source code must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-#
-#     * Redistributions in binary form must reproduce the above
-# copyright notice, this list of conditions and the following disclaimer
-# in the documentation and/or other materials provided with the
-# distribution.
-#
-#     * Neither the names of the copyright owners nor the names of its
-# contributors may be used to endorse or promote products derived from
-# this software without specific prior written permission.
-#
-# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
-# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
-# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
-# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
-# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
-# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
-# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
-# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
-# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
-# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-export GNUPGHOME=/path/to/gpg-key
 read -sp "Enter passphrase: " pass
-for i in `find . -name "*.dmg" -o -name "*.exe" -o -name "*.tar.xz" -o -name "*.txt" -o -name "*.zip" -o -name "*.tar.gz" -o -name "*.apk"`
+for i in `find . -name "*.dmg" -o -name "*.exe" -o -name "*.tar.xz" -o -name "*.txt" -o -name "*.zip" -o -name "*.tar.gz" -o -name "*.apk" | sort`
 do
-  echo "$pass" | gpg -absu $key! --passphrase-fd 0 $i
+  if test -f "$i.asc"
+  then
+    echo "Removing $i.asc"
+    rm -f "$i.asc"
+  fi
+  echo "Signing $i"
+  echo "$pass" | gpg -absu 0xe53d989a9e2d47bf! --passphrase-fd 0 $i
+  test $? || echo "Signing $i failed"
 done

-- 
To stop receiving notification emails like this one, please contact
the administrator of this repository.


More information about the tor-commits mailing list